#pragma once

#define USB_HID_REPORT_TYPE_INPUT   1
#define USB_HID_REPORT_TYPE_OUTPUT  2
#define USB_HID_REPORT_TYPE_FEATURE 3
/* Numeric constants for 'reportType' parameters */

#define USB_ERROR_NONE      0
#define USB_ERROR_ACCESS    1
#define USB_ERROR_NOTFOUND  2
#define USB_ERROR_BUSY      16
#define USB_ERROR_IO        5
/* These are the error codes which can be returned by functions of this
 * module.
 */

EXTERN_C HANDLE usbOpenDevice(int,USHORT,LPCSTR,USHORT,LPCSTR);
/* This function opens a USB device. 'vendor' and 'product' are the numeric
 * Vendor-ID and Product-ID of the device we want to open. If 'vendorName' and
 * 'productName' are both not NULL, only devices with matching manufacturer-
 * and product name strings are accepted. If the device uses report IDs,
 * 'usesReportIDs' must be set to a non-zero value.
 * Returns: If a matching device has been found, USB_ERROR_NONE is returned and
 * '*device' is set to an opaque pointer representing the device. The device
 * must be closed with usbCloseDevice(). If the device has not been found or
 * opening failed, an error code is returned.
 */
